
/* Returns true if 'ch' is a whitespace character */
#define WHITESPACE(ch)	((ch == ' ') || (ch == '\t') || (ch == '\n'))

#define toctrl(X)	(X-'@')		/* uppercase-to-control macro */
#define unctrl(X)	(X+'@')		/* control-to-uppercase macro */

/* Special characters (from splitvt.c) */
extern char	command_c, switch_c, quote_c;
extern int	dologin;	/* Do the shells run as login shells? */

char *get_ttyname();


/* Use 'k' as magic number */
#define KVADAP_IOC_MAGIC  'k'

#define KVADAP_IOCRESET    _IO(KVADAP_IOC_MAGIC, 0)
#define KVADAP_IOCSADDR    _IO(KVADAP_IOC_MAGIC, 1)
#define KVADAP_IOCGADDR    _IO(KVADAP_IOC_MAGIC, 2)

#define KVADAP_IOC_MAXNR 2
